## sorcerer 1.0

=== Makefile ===
#
# PCCTS makefile for: SORCERER 1.00B
# Uses PCCTS release 1.20
#
PCCTS=..
BIN = /usr/bin
ANTLR = $(BIN)/antlr
DLG = $(BIN)/dlg
ANTLR_H = .
CFLAGS = -Ih -I. -I$(ANTLR_H)
AFLAGS = -gh -k 2 -gt
DFLAGS = -C2
GRM = sor.g
SRC = sor.c scan.c err.c main.c globals.c gen.c set.c hash.c look.c cpp.c
OBJ = sor.o scan.o err.o main.o globals.o gen.o set.o hash.o look.o cpp.o
GENHFILES = tokens.h mode.h stdpccts.h
CC=cc
SHELL=/bin/sh

all:
	make sor
	(cd lib; make)

sor: $(OBJ) $(SRC)
	$(CC) -o sor $(CFLAGS) $(OBJ)

sor.o : sor.c mode.h tokens.h

sor.c stdpccts.h parser.dlg tokens.h err.c : sor.g
	$(ANTLR) $(AFLAGS) sor.g

scan.c mode.h : parser.dlg
	$(DLG) $(DFLAGS) parser.dlg scan.c

scan.o : scan.c mode.h tokens.h

clean:
	rm -f *.o core sor

scrub:
	rm -f *.o core $(GENHFILES) parser.dlg scan.c err.c sor.c sor

ci:
	ci -u sor.g Makefile main.c globals.c gen.c set.c hash.c look.c cpp.c

co:
	co -l sor.g Makefile main.c globals.c gen.c set.c hash.c look.c cpp.c
