=== debian/changelog ===
sorcerer (1.0) unstable; urgency=low

  * Initial Release.

 -- Ed Petron <epetron@leba.net>  Sun,  7 Jun 1998 09:54:35 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address: "epetron@leba.net"
End:
