=== debian/control ===
Source: sorcerer
Section: devel
Priority: optional
Maintainer: Ed Petron <epetron@leba.net>
Standards-Version: 2.3.0.1

Package: sorcerer
Architecture: any
Depends: ${shlibs:Depends}
Description: A simple tree parser generator.
 Compilers and other types of language translators typically create
 Abstract Syntax Tree's (AST's) as part of the source analysis phase of
 translation. A recursive parse tree traversal procedure is then used to
 synthesize output. Sorcerer can be used to automate the construction of the
 parse tree traversal procedure. It does not rely on any particular
 intermediate form, parser generator, or other pre-existing application. As
 such it can be used with any parser generator including yacc, byacc, bison,
 or antlr from PCCTS.
